
QGIS Application - Bug report #4718

Field calculator: $rownum returns NULL

2011-12-30 03:22 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 14599

Description

Adding a field with Field calculator, with the expression $rownum results in all NULLs

Related issues:

Duplicates QGIS Application - Bug report # 4732: (regression) table of attrib... Closed 2012-01-02

History

#1 - 2011-12-30 04:47 AM - Giovanni Manghi

- Status changed from Open to Feedback

not confirmed here on both shapes and postgis

#2 - 2012-01-02 06:24 AM - Giovanni Manghi

it is confirmed, but this happens only if you have already the table of attributes open

see #4732

#3 - 2012-01-02 09:36 AM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"c1b631d0e0f0e434acaa5cbd514de2b079817334".
